:root{

    --colorprincipal: #19327b;
    --verdealcaldia: #7bbb23;
    --naranjaalcaldia: #f37a17;

}

html{

    max-width: 100vw !important;
    overflow-x: hidden;

}

/*tipografia*/

.montserrat  {
    font-family: "Montserrat", sans-serif;
    font-optical-sizing: auto;
    
}

.texto-claro{

    color: rgb(221, 221, 221);

}

.carta{

    width: 30%;

}

.paddin{

    padding: 20px !important;

}

.botonp{

    width: 250px !important;

}

*{

    font-family: "Montserrat", sans-serif;
    padding: 0;
    margin: 0;

}

.contenedor-form{

    display: flex;
    height: 100vh;

}

.fondo{

    width: 60%;
    background-image: url(../img/Fondologin3.jpg);
    background-size: cover;
    background-position: right;
    

}

body{

    background-color: #f4f4f4;

}

.formulario{

    width: 40%;
    padding: 60px;
    display: flex;
    align-items: center;
    position: relative;

}

.formulario--form{

    width: 100%;

}

.titulo{

    font-weight: 800;
    margin-bottom: 40px;
    font-size: 50px;
    color: var(--colorprincipal);

}

.btndirec{

    background-color: var(--colorprincipal);
    border: none;

}

.buscador{

    width: 300px;
    padding: 10px 20px;
    border-radius: 20px;

}

.buscador:focus{

    box-shadow: 0px 0px 10px 0 var(--colorprincipal);
    border: 2px solid var(--colorprincipal);

}

.textarea:focus{

    box-shadow: 0px 0px 10px 0 var(--colorprincipal) !important;

}

.menu-boton{

    cursor: pointer;

}

.botones{

    background: var(--colorprincipal);
    border: none;
    text-transform: uppercase;
    font-weight: 600;
    padding: 10px 40px;
    margin-top: 20px;
    border-radius: 40px;

}

.botones:hover{

    background: var(--verdealcaldia);
    color: rgb(255, 255, 255);

}

.logo{

    position: absolute;
    border-radius: 50%;
    height: 150px;
    padding: 20px;

}

.capa-de-fondo{

    height: 100%;
    width: 100%;
    background: rgba(0, 0, 0, 0.5);

}

.mb-3 input, .mb-3 select{

    border: 2px solid rgb(216, 216, 216);
    border-radius: 40px;
    margin-top: 0px;
    padding: 10px 20px;

}

.mb-3 input:focus{

    box-shadow: 0px 0px 05px 0 var(--colorprincipal);
    border: 2px solid var(--colorprincipal);

}

.cabecera-input{

    font-weight: 600;
    color: var(--colorprincipal);
    text-transform: uppercase;

}

.desarrolladores{

    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    margin: auto;
    padding-bottom: 40px;
    width: fit-content;
    text-align: center;
    

}

.contenedor-general{

    min-height: 65vh;

}

.tabla-usuarios{

    max-width: 100%;

}

.contenedor-home1{

    width: 75%;

}

.contenedor-home2{

    width: 25%;

}

.estadisticascon{

    border-color: rgba(255, 255, 255, 0) !important;
    transition: all 0.5s;
    background: #ffffff;
    padding: 15px;
    margin-bottom: 10px;
    border-radius: 16px;

}

.logo-perfil{

    display: block;
    border-radius: 50%;
    margin: auto;
    height: 150px;
    margin-top: 30px;

}

.estadisticascon:hover{

    border-color: white !important;
    color: white;
    background-color: var(--colorprincipal);
    font-weight: 800;
    padding: 20px !important;
    transition: all 0.5s;
    border-radius: 16px;
    margin-bottom: 10px;

}

.direcciones-header{

    font-weight: 800;
    font-size: 20px;
    padding: 20px 20px;

}

.selector{

    border-radius: 30px;
    padding: 10px;
    border: 2px solid rgb(224, 224, 224)

}

.direcciones-content{

    background: #f3f3f3;

}

.contenedor-usuario{

    display: flex;
    border-radius: 0px;
    background: white;
    padding: 20px;
    margin-bottom: 20px;
    justify-content: space-between;
    align-items: center;
    box-shadow: 0px 0px 15px rgba(0, 0, 0, 0.359);
    border-radius: 15px;

}

.contenedor-usuario div{

    width: 16.6% !important;

}

.cedula-usuario{

    font-size: 15px;
    font-weight: 800;

}

.datos-usuario{

    margin: 0;
    padding: 0;

}

.datos-activo{

    background-color: #dbffc8;
    padding: 5px 20px;
    border-radius: 15px;
    color: #528d00;
    width: fit-content;

}

.datos-inactivo{

    background-color: #ffc8c8;
    padding: 5px 20px;
    border-radius: 15px;
    color: #8d0000;
    width: fit-content;

}

.centrar{

    height: 30px;

}

.cedula-img{

    cursor: pointer;

}

@media only screen and (max-width: 800px){

    .escritorio{

        display: none;

    }
    
    .carta{

        width: 100%;
    
    }

    .contenedor-form{

        display: flex;
        height: 100vh;
        flex-direction: column;
    
    }

    .contenedor-general{

        min-height: 50vh;
    
    }

    .buscador{

        width: 100%;
    
    }
    
    .fondo{

        width: 100%;
        height: 35vh;
        position: relative;
    
    }

    .formulario{

        width: 100%;
        height: 50vw;
        padding: 20px !important;
        padding-top: 0px !important;
        max-height: 100%;
        padding: 60px;
        display: flex;
        align-items: baseline;
        position: relative;
    
    }

    .formulario--form{

        padding-top: 40px;
        padding-bottom: 40px;
        width: 100%;
        height: fit-content;
    
    }

    .desarrolladores{

        display: none;

    }

    .logo{

        position: absolute;
        border-radius: 50%;
        height: 180px;
        padding: 20px;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        margin: auto;

    }

    .titulo{

        font-weight: 800;
        margin-bottom: 40px;
        font-size: 30px;
        color: var(--colorprincipal);

    }

    .swal2-popup .swal2-styled:focus {
        box-shadow: none;
        border: none;
        font-weight: bold;
    }

    .contenedor-home1{

        width: 100%;
    
    }
    
    .contenedor-home2{
    
        width: 100%;
    
    }
    

}